"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const path = require("path");
const env = process.env.NODE_ENV;
function default_1(dirname) {
    return {
        extensions: ['.webpack.js', '.web.js', '.js', '.jsx', '.tsx', '.ts', '.web.ts', '.scss', '.css'],
        modules: env !== 'development' ? [path.resolve(dirname, 'node_modules')] : undefined,
        mainFields: env !== 'development' ? ['jsnext:main', 'main'] : undefined
    };
}
exports.default = default_1;
